org.keycloak.models.sessions.infinispan.entities

## Class LoginFailureEntity

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.entities.LoginFailureEntity

-     public class LoginFailureEntity
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoginFailureEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFailedLoginNotBefore()`
    `long` | `getLastFailure()`
    `String` | `getLastIPFailure()`
    `int` | `getNumFailures()`
    `String` | `getRealm()`
    `String` | `getUsername()`
    `void` | `setFailedLoginNotBefore(int failedLoginNotBefore)`
    `void` | `setLastFailure(long lastFailure)`
    `void` | `setLastIPFailure(String lastIPFailure)`
    `void` | `setNumFailures(int numFailures)`
    `void` | `setRealm(String realm)`
    `void` | `setUsername(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoginFailureEntity

          public LoginFailureEntity()

  - ### Method Detail

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getRealm

          public String getRealm()

    - #### setRealm

          public void setRealm(String realm)

    - #### getFailedLoginNotBefore

          public int getFailedLoginNotBefore()

    - #### setFailedLoginNotBefore

          public void setFailedLoginNotBefore(int failedLoginNotBefore)

    - #### getNumFailures

          public int getNumFailures()

    - #### setNumFailures

          public void setNumFailures(int numFailures)

    - #### getLastFailure

          public long getLastFailure()

    - #### setLastFailure

          public void setLastFailure(long lastFailure)

    - #### getLastIPFailure

          public String getLastIPFailure()

    - #### setLastIPFailure

          public void setLastIPFailure(String lastIPFailure)

Copyright © 2015. All rights reserved.